<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Part II. Reference manual: HarfBuzz Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
<link rel="home" href="index.html" title="HarfBuzz Manual">
<link rel="up" href="index.html" title="HarfBuzz Manual">
<link rel="prev" href="integration-python.html" title="Python bindings">
<link rel="next" href="ch12.html" title="Core API">
<meta name="generator" content="GTK-Doc V1.32.1 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
<td><a accesskey="p" href="integration-python.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="ch12.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="part">
<div class="titlepage"><div>
<div><h1 class="title">
<a name="id-1.3"></a>Part II. Reference manual</h1></div>
<div><p class="releaseinfo">
        This document is for HarfBuzz 2.6.7
.
        
      </p></div>
</div></div>
<div class="toc">
<p><b>Table of Contents</b></p>
<dl class="toc">
<dt><span class="chapter"><a href="ch12.html">Core API</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-blob.html">hb-blob</a></span><span class="refpurpose"> — Binary data containers</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-buffer.html">hb-buffer</a></span><span class="refpurpose"> — Input and output buffers</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-common.html">hb-common</a></span><span class="refpurpose"> — Common data types</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-deprecated.html">hb-deprecated</a></span><span class="refpurpose"> — Deprecated API</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-face.html">hb-face</a></span><span class="refpurpose"> — Font face objects</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-font.html">hb-font</a></span><span class="refpurpose"> — Font objects</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-map.html">hb-map</a></span><span class="refpurpose"> — Object representing integer to integer mapping</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-set.html">hb-set</a></span><span class="refpurpose"> — Object representing a set of integers</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-shape-plan.html">hb-shape-plan</a></span><span class="refpurpose"> — Object representing a shaping plan</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-shape.html">hb-shape</a></span><span class="refpurpose"> — Conversion of text strings into positioned glyphs</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-unicode.html">hb-unicode</a></span><span class="refpurpose"> — Unicode character property access</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-version.html">hb-version</a></span><span class="refpurpose"> — Information about the version of HarfBuzz in use</span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="ch13.html">OpenType API</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-ot-color.html">hb-ot-color</a></span><span class="refpurpose"> — OpenType Color Fonts</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-ot-font.html">hb-ot-font</a></span><span class="refpurpose"> — OpenType font implementation</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-ot-layout.html">hb-ot-layout</a></span><span class="refpurpose"> — OpenType Layout</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-ot-math.html">hb-ot-math</a></span><span class="refpurpose"> — OpenType Math information</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-ot-name.html">hb-ot-name</a></span><span class="refpurpose"> — OpenType font name information</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-ot-shape.html">hb-ot-shape</a></span><span class="refpurpose"> — OpenType shaping support</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-ot-var.html">hb-ot-var</a></span><span class="refpurpose"> — OpenType Font Variations</span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="ch14.html">Apple Advanced Typography API</a></span></dt>
<dd><dl><dt>
<span class="refentrytitle"><a href="harfbuzz-hb-aat-layout.html">hb-aat-layout</a></span><span class="refpurpose"> — Apple Advanced Typography Layout</span>
</dt></dl></dd>
<dt><span class="chapter"><a href="ch15.html">Integration API</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-coretext.html">hb-coretext</a></span><span class="refpurpose"> — CoreText integration</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-ft.html">hb-ft</a></span><span class="refpurpose"> — FreeType integration</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-glib.html">hb-glib</a></span><span class="refpurpose"> — GLib integration</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-gobject.html">hb-gobject</a></span><span class="refpurpose"> — GObject integration support</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-graphite2.html">hb-graphite2</a></span><span class="refpurpose"> — Graphite2 integration</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-icu.html">hb-icu</a></span><span class="refpurpose"> — ICU integration</span>
</dt>
<dt>
<span class="refentrytitle"><a href="harfbuzz-hb-uniscribe.html">hb-uniscribe</a></span><span class="refpurpose"> — Windows integration</span>
</dt>
</dl></dd>
<dt><span class="index"><a href="api-index-full.html">API Index</a></span></dt>
<dt><span class="glossary"><a href="annotation-glossary.html">Annotation Glossary</a></span></dt>
</dl>
</div>
<div class="note">
<p>
        The current HarfBuzz codebase is versioned 2.x.x and is stable
	and under active maintenance. This is what is used in latest
	versions of Firefox, GNOME, ChromeOS, Chrome, LibreOffice,
	XeTeX, Android, and KDE, among other places. 
      </p>
<p>
        Prior to 2012, the original HarfBuzz codebase (which, these
	days, is referred to as <span class="emphasis"><em>harfbuzz-old</em></span>) was 
        derived from code in <a class="ulink" href="http://freetype.org/" target="_top">FreeType</a>, <a class="ulink" href="http://pango.org/" target="_top">Pango</a>, and 
        <a class="ulink" href="http://qt-project.org/" target="_top">Qt</a>.
        It is <span class="emphasis"><em>not</em></span> actively developed or
	maintained, and is extremely buggy. All users of harfbuzz-old
	are encouraged to switch over to the new HarfBuzz as soon as possible.
      </p>
<p>
	To make this distinction clearer in discussions, the current
	HarfBuzz codebase is sometimes referred to as
	<span class="emphasis"><em>harfbuzz-ng</em></span>.
      </p>
<p>
	For reference purposes, the harfbuzz-old source tree is archived 
        <a class="ulink" href="http://cgit.freedesktop.org/harfbuzz.old/" target="_top">here</a>. There
	are no release tarballs of harfbuzz-old whatsoever.
      </p>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.32.1</div>
</body>
</html>